FloatWritable (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.io, class: FloatWritable

Package org.apache.hadoop.io

# Class FloatWritable

java.lang.Object
org.apache.hadoop.io.FloatWritable

All Implemented Interfaces:
  `Comparable<FloatWritable>`, `Writable`, `WritableComparable<FloatWritable>`

@Public @Stable public class FloatWritable extends Object implements WritableComparable<FloatWritable>
A WritableComparable for floats.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `org.apache.hadoop.io.FloatWritable.Comparator`
  A Comparator optimized for FloatWritable.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FloatWritable()`
  `FloatWritable(float value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(FloatWritable o)`
  Compares two FloatWritables.
  `boolean`
  `equals(Object o)`
  Returns true iff `o` is a FloatWritable with the same value.
  `float`
  `get()`
  Return the value of this FloatWritable.
  `int`
  `hashCode()`
  `void`
  `readFields(DataInput in)`
  Deserialize the fields of this object from `in`.
  `void`
  `set(float value)`
  Set the value of this FloatWritable.
  `String`
  `toString()`
  `void`
  `write(DataOutput out)`
  Serialize the fields of this object to `out`.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FloatWritable

    public FloatWritable()

  - ### FloatWritable

    public FloatWritable(float value)

- ## Method Details

  - ### set

    public void set(float value)
    Set the value of this FloatWritable.
    Parameters:
      `value` - value.

  - ### get

    public float get()
    Return the value of this FloatWritable.
    Returns:
      value.

  - ### readFields

    public void readFields(DataInput in) throws IOException
    Description copied from interface: `Writable`
    Deserialize the fields of this object from `in`.

    For efficiency, implementations should attempt to re-use storage in the existing object where possible.

    Specified by:
      `readFields` in interface `Writable`
    Parameters:
      `in` - `DataInput` to deseriablize this object from.
    Throws:
      `IOException` - any other problem for readFields.

  - ### write

    public void write(DataOutput out) throws IOException
    Description copied from interface: `Writable`
    Serialize the fields of this object to `out`.
    Specified by:
      `write` in interface `Writable`
    Parameters:
      `out` - `DataOuput` to serialize this object into.
    Throws:
      `IOException` - any other problem for write.

  - ### equals

    public boolean equals(Object o)
    Returns true iff `o` is a FloatWritable with the same value.
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### compareTo

    public int compareTo(FloatWritable o)
    Compares two FloatWritables.
    Specified by:
      `compareTo` in interface `Comparable<FloatWritable>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`